#include "types.h"
#include "console.h"
#include "idt.h"
#include "inline_asm.h"
#include "keyboard.h"
#include "timer.h"
#include "gdt.h"

#include "sched.h"
#include "process.h"
#include "segment.h"





void start_kernel(void)
{
	char str[] = "C START!";
		
	init_screen();

	caos_printf("%s\n", str);

	init_idt();

	set_idtr();

	/* init user processes */
	init_task_list();

	init_process();
	init_user1();

	init_user2();
	


	init_scheduler();

	
	init_keyboard();
	init_timer();


	caos_printf("CaOS KERNEL END!!\n");

	//sti();
	start_init();
	//init();

	while (1);
}
		
		
		
